Subject: Re: [Roll] Comments on draft-gnawali-roll-minrank-hysteresis-of-00

From: Omprakash Gnawali <[email-masked]>
Date: Thu, 8 Jul 2010 16:45:49 -0700

On Wed, Jun 16, 2010 at 6:29 AM, JP Vasseur <[email-masked]> wrote:
> Dear authors,
> Please find some comments in line. Several comments are cosmetic and
> editorial.
> The main two comments are:
> 1) why standardizing the hysteresis mechanism (other mechanisms may apply),
> this is a local
> decision, ...

Many implementations will likely use some type of hysteresis so it was
an attempt to establish some expectation on how quickly the paths
change.

> 2) at least parameters should not be tied to a specific routing metric.

Agree. My goal was to make sure the parameters/variables make sense
for at least etx and latency. If you noticed something that wouldn't
work, I would be happy to address them.

...

>    2.  If there are multiple paths with the smallest path metric and
>        that smallest path metric is smaller than cur_min_path_metric by
>        at least PARENT_SWITCH_THRESHOLD, a node MAY use a different
>        objective function to select the preferred parent among the
>        candidates
>
> JP> Not sure of what you mean here ... Why using a different OF ? Did you
> mean "MAY use a different preferred parent" ?

Example: If there are multiple parents that offer the minimum ETX
paths, a node MAY pick the parent that offers minimum latency.

>    4.  If the selected metric for a link is greater than
>        MAX_LINK_METRIC, the node SHOULD exclude that link from
>        consideration for parent selection.
>
> JP> I see two issues here;
>
> 1) This is tied to the ETX metric
>
> 2) Why should we standardize such a local decision?

I think this also applies to latency.

Thanks for the comments.

- om_p